EntityEvents.hurt(event => {
    var { entity, source } = event
    let attackingEntity = source.player
    if (!attackingEntity) return
    if (attackingEntity?.mainHandItem?.id == 'arrzenhanced:deadzone_dagger') {
        entity.potionEffects.add("dampened:dark_matter", (2.5*60)*20, 0, false, false)
        entity.potionEffects.add("dampened:genetic", (2.5*60)*20, 0, false, false)
        entity.potionEffects.add("dampened:dampen", (2.5*60)*20, 0, false, false)
        entity.potionEffects.add("dampened:emp", (2.5*60)*20, 0, false, false)
    }
})

ServerEvents.recipes(event => {
    event.remove({ output: 'arrzenhanced:deadzone_dagger' })
})